PPL 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Parma_Polyhedra_Library::Binary_Operator_Common< Target > Class Template Reference

Base class for binary operator applied to two concrete expressions. More...

`#include <ppl.hh>`

List of all members.

## Public Member Functions
Concrete_Expression_BOP | binary_operator () const
| Returns a constant identifying the operator of `*this`.
const Concrete_Expression < Target > * | left_hand_side () const
| Returns the left-hand side of `*this`.
const Concrete_Expression < Target > * | right_hand_side () const
| Returns the right-hand side of `*this`.

## Detailed Description

### template<typename Target>
class Parma_Polyhedra_Library::Binary_Operator_Common< Target >

Base class for binary operator applied to two concrete expressions.

The documentation for this class was generated from the following file:

- ppl.hh